ClusterManagementService (Apache Geode 1.9.1)
Date: 2019-08-30

org.apache.geode.management.api

## Interface ClusterManagementService

-     @Experimental
      public interface ClusterManagementService

  this is responsible for applying and persisting cache configuration changes on locators and/or servers.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FEATURE_FLAG`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default ClusterManagementResult` | `create(CacheElement config)`
    `ClusterManagementResult` | `create(CacheElement config, String group)` This method will create the element on all the applicable members in the cluster and persist the configuration in the cluster configuration if persistence is enabled.
    `default ClusterManagementResult` | `delete(CacheElement config)`
    `ClusterManagementResult` | `delete(CacheElement config, String group)` This method will delete the element on all the applicable members in the cluster and update the configuration in the cluster configuration if persistence is enabled.
    `default ClusterManagementResult` | `update(CacheElement config)`
    `ClusterManagementResult` | `update(CacheElement config, String group)` This method will update the element on all the applicable members in the cluster and persist the updated configuration in the cluster configuration if persistence is enabled.

- - ### Field Detail

    - #### FEATURE_FLAG

          static final String FEATURE_FLAG

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### create

          ClusterManagementResult create(CacheElement config,
                                         String group)

      This method will create the element on all the applicable members in the cluster and persist the configuration in the cluster configuration if persistence is enabled.
      Parameters:
        `config` - this holds the configuration attributes of the element to be created on the cluster
        `group` - the server group to which this config applies
      See Also:
        `CacheElement`

    - #### create

          default ClusterManagementResult create(CacheElement config)

    - #### delete

          ClusterManagementResult delete(CacheElement config,
                                         String group)

      This method will delete the element on all the applicable members in the cluster and update the configuration in the cluster configuration if persistence is enabled.
      Parameters:
        `config` - this holds the configuration attributes of the element to be deleted on the cluster
        `group` - the server group to which this config applies
      Throws:
        `IllegalArgumentException,` - NoMemberException, EntityExistsException
      See Also:
        `CacheElement`

    - #### delete

          default ClusterManagementResult delete(CacheElement config)

    - #### update

          ClusterManagementResult update(CacheElement config,
                                         String group)

      This method will update the element on all the applicable members in the cluster and persist the updated configuration in the cluster configuration if persistence is enabled.
      Parameters:
        `config` - this holds the configuration attributes of the element to be updated on the cluster
        `group` - the server group to which this config applies
      Throws:
        `IllegalArgumentException,` - NoMemberException, EntityExistsException
      See Also:
        `CacheElement`

    - #### update

          default ClusterManagementResult update(CacheElement config)